import webview
import reader


class Api:
    def __init__(self):
        self.cancel_heavy_stuff_flag = False
    # 查询标签编号
    def read_uid(self):
        card_service = reader.init()
        uid = reader.read_uid(card_service)
        # return '04ADB549100269'
        return uid

    


if __name__ == '__main__':
    api = Api()
    window = webview.create_window('邦德威桌面端', url='./client/index.html',width=1500,height=900, js_api=api)
    webview.start(debug=True)